## org.gnu.gtk
Class IconView

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.IconView

public class IconView
extends Container

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`IconView()` Create a new IconView
`IconView(TreeModel model)` Create a new IconView specifying the model.

Method Summary
`void` `addListener(IconViewListener listener)` Register an object to handle IconView events.
`protected void` `fireIconViewEvent(IconViewEvent event)`
`int` `getColumns()` Returns the number of columns for this IconView.
`int` `getColumnSpacing()`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`int` `getItemWidth()` Returns the width of each item.
`int` `getMargin()`
`int` `getMarkupColumn()` Returns the column with markup text for this IconView.
`TreeModel` `getModel()` Returns the model that the IconView is using.
`Orientation` `getOrientation()` Returns the Orientation for this IconView.
`TreePath` `getPathAtPosition(int x, int y)` Find the path at the point (x,y) relative to widget coordinates.
`int` `getPixbufColumn()` Returns the column with Pixbufs for this IconView.
`int` `getRowSpacing()`
`TreePath[]` `getSelectedItems()` Returns an array of all selected paths.
`SelectionMode` `getSelectionMode()` Returns the selection mode for this IconView.
`int` `getSpacing()`
`int` `getTextColumn()` Returns the column with text fro this IconView.
`protected static int` `gtk_icon_view_get_column_spacing(Handle view)`
`protected static int` `gtk_icon_view_get_columns(Handle view)`
`protected static int` `gtk_icon_view_get_item_width(Handle view)`
`protected static int` `gtk_icon_view_get_margin(Handle view)`
`protected static int` `gtk_icon_view_get_markup_column(Handle view)`
`protected static Handle` `gtk_icon_view_get_model(Handle view)`
`protected static int` `gtk_icon_view_get_orientation(Handle view)`
`protected static Handle` `gtk_icon_view_get_path_at_pos(Handle view, int x, int y)`
`protected static int` `gtk_icon_view_get_pixbuf_column(Handle view)`
`protected static int` `gtk_icon_view_get_row_spacing(Handle view)`
`protected static Handle[]` `gtk_icon_view_get_selected_items(Handle view)`
`protected static int` `gtk_icon_view_get_selection_mode(Handle view)`
`protected static int` `gtk_icon_view_get_spacing(Handle view)`
`protected static int` `gtk_icon_view_get_text_column(Handle view)`
`protected static int` `gtk_icon_view_get_type()`
`protected static void` `gtk_icon_view_item_activated(Handle view, Handle path)`
`protected static Handle` `gtk_icon_view_new_with_model(Handle model)`
`protected static Handle` `gtk_icon_view_new()`
`protected static boolean` `gtk_icon_view_path_is_selected(Handle view, Handle path)`
`protected static void` `gtk_icon_view_select_all(Handle view)`
`protected static void` `gtk_icon_view_select_path(Handle view, Handle path)`
`protected static void` `gtk_icon_view_set_column_spacing(Handle view, int spacing)`
`protected static void` `gtk_icon_view_set_columns(Handle view, int columns)`
`protected static void` `gtk_icon_view_set_item_width(Handle view, int width)`
`protected static void` `gtk_icon_view_set_margin(Handle view, int margin)`
`protected static void` `gtk_icon_view_set_markup_column(Handle view, int column)`
`protected static void` `gtk_icon_view_set_model(Handle view, Handle model)`
`protected static void` `gtk_icon_view_set_orientation(Handle view, int orientation)`
`protected static void` `gtk_icon_view_set_pixbuf_column(Handle view, int column)`
`protected static void` `gtk_icon_view_set_row_spacing(Handle view, int spacing)`
`protected static void` `gtk_icon_view_set_selection_mode(Handle view, int mode)`
`protected static void` `gtk_icon_view_set_spacing(Handle view, int spacing)`
`protected static void` `gtk_icon_view_set_text_column(Handle view, int column)`
`protected static void` `gtk_icon_view_unselect_all(Handle view)`
`protected static void` `gtk_icon_view_unselect_path(Handle view, Handle path)`
`void` `itemActivated(TreePath path)` Activate the item specified by path.
`boolean` `pathIsSelected(TreePath path)` returns true if the path is currently selected.
`void` `removeListener(IconViewListener listener)` Removes a listener.
`void` `selectAll()` Selects all of the icons.
`void` `selectPath(TreePath path)` Selects the row at the specified path.
`void` `setColumns(int columns)` Set the number of columns for this IconView.
`void` `setColumnSpacing(int columnSpacing)`
`void` `setItemWidth(int width)` Sets the width of each item.
`void` `setMargin(int margin)`
`void` `setMarkupColumn(int column)` Sets the column with markup information for this IconView to be the specified column.
`void` `setModel(TreeModel model)` Sets the model for this IconView.
`void` `setOrientation(Orientation orientation)` Sets the orientation of this IconView which determines whether the labels are drawn beside instead of below the icons.
`void` `setPixbufColumn(int column)` Sets the column with Pixbufs for this IconView to be the specified column.
`void` `setRowSpacing(int rowSpacing)`
`void` `setSelectionMode(SelectionMode mode)` Sets the selection mode for this IconView.
`void` `setSpacing(int spacing)`
`void` `setTextColumn(int column)` Sets the column with text for this IconView to be the specified column.
`void` `unselectAll()` Unselects all of the icons.
`void` `unselectPath(TreePath path)` Unselects the row at the specified path.

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, getType, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconView

    public IconView()

  Create a new IconView

### IconView

    public IconView(TreeModel model)

  Create a new IconView specifying the model.

Parameters:
  `model` -

Method Detail

### setModel

    public void setModel(TreeModel model)

  Sets the model for this IconView. If the IconView already has a model it will remove it before setting the new model. If model is null it will unset the old model.

  Parameters:
    `model` -

### getModel

    public TreeModel getModel()

  Returns the model that the IconView is using. It will return null if a model is the IconView currently does not have a model.

### setTextColumn

    public void setTextColumn(int column)

  Sets the column with text for this IconView to be the specified column. The text column must be of type DataColumnString.

  Parameters:
    `column` -

### getTextColumn

    public int getTextColumn()

  Returns the column with text fro this IconView.

### setMarkupColumn

    public void setMarkupColumn(int column)

  Sets the column with markup information for this IconView to be the specified column. The markup column must be of type DataColumnString. If the markup column is set to something it overrides the text column set by `setTextColumn`

  Parameters:
    `column` -

### getMarkupColumn

    public int getMarkupColumn()

  Returns the column with markup text for this IconView.

### setPixbufColumn

    public void setPixbufColumn(int column)

  Sets the column with Pixbufs for this IconView to be the specified column. This pixubf column must be of type DataColumnPixbuf.

  Parameters:
    `column` -

### getPixbufColumn

    public int getPixbufColumn()

  Returns the column with Pixbufs for this IconView.

### setOrientation

    public void setOrientation(Orientation orientation)

  Sets the orientation of this IconView which determines whether the labels are drawn beside instead of below the icons.

  Parameters:
    `orientation` -

### getOrientation

    public Orientation getOrientation()

  Returns the Orientation for this IconView.

### setColumns

    public void setColumns(int columns)

  Set the number of columns for this IconView.

  Parameters:
    `columns` -

### getColumns

    public int getColumns()

  Returns the number of columns for this IconView.

### setItemWidth

    public void setItemWidth(int width)

  Sets the width of each item.

  Parameters:
    `width` -

### getItemWidth

    public int getItemWidth()

  Returns the width of each item.

### setSpacing

    public void setSpacing(int spacing)

  Parameters:
    `spacing` -

### getSpacing

    public int getSpacing()

### setRowSpacing

    public void setRowSpacing(int rowSpacing)

  Parameters:
    `rowSpacing` -

### getRowSpacing

    public int getRowSpacing()

### setColumnSpacing

    public void setColumnSpacing(int columnSpacing)

  Parameters:
    `columnSpacing` -

### getColumnSpacing

    public int getColumnSpacing()

### setMargin

    public void setMargin(int margin)

  Parameters:
    `margin` -

### getMargin

    public int getMargin()

### getPathAtPosition

    public TreePath getPathAtPosition(int x,
                                      int y)

  Find the path at the point (x,y) relative to widget coordinates.

  Parameters:
    `x` -
    `y` -

### setSelectionMode

    public void setSelectionMode(SelectionMode mode)

  Sets the selection mode for this IconView.

  Parameters:
    `mode` -

### getSelectionMode

    public SelectionMode getSelectionMode()

  Returns the selection mode for this IconView.

### selectPath

    public void selectPath(TreePath path)

  Selects the row at the specified path.

  Parameters:
    `path` -

### unselectPath

    public void unselectPath(TreePath path)

  Unselects the row at the specified path.

  Parameters:
    `path` -

### pathIsSelected

    public boolean pathIsSelected(TreePath path)

  returns true if the path is currently selected.

  Parameters:
    `path` -

### getSelectedItems

    public TreePath[] getSelectedItems()

  Returns an array of all selected paths.

### selectAll

    public void selectAll()

  Selects all of the icons. The IconView must have its' selection mode set to SelectionMode.MILTIPLE.

### unselectAll

    public void unselectAll()

  Unselects all of the icons.

### itemActivated

    public void itemActivated(TreePath path)

  Activate the item specified by path.

  Parameters:
    `path` -

### addListener

    public void addListener(IconViewListener listener)

  Register an object to handle IconView events.

  See Also:
    `IconViewListener`

### removeListener

    public void removeListener(IconViewListener listener)

  Removes a listener.

  See Also:
    `addListener(IconViewListener)`

### fireIconViewEvent

    protected void fireIconViewEvent(IconViewEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Container`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Container`

### gtk_icon_view_get_type

    protected static final int gtk_icon_view_get_type()

### gtk_icon_view_new

    protected static final Handle gtk_icon_view_new()

### gtk_icon_view_new_with_model

    protected static final Handle gtk_icon_view_new_with_model(Handle model)

### gtk_icon_view_set_model

    protected static final void gtk_icon_view_set_model(Handle view,
                                                        Handle model)

### gtk_icon_view_get_model

    protected static final Handle gtk_icon_view_get_model(Handle view)

### gtk_icon_view_set_text_column

    protected static final void gtk_icon_view_set_text_column(Handle view,
                                                              int column)

### gtk_icon_view_get_text_column

    protected static final int gtk_icon_view_get_text_column(Handle view)

### gtk_icon_view_set_markup_column

    protected static final void gtk_icon_view_set_markup_column(Handle view,
                                                                int column)

### gtk_icon_view_get_markup_column

    protected static final int gtk_icon_view_get_markup_column(Handle view)

### gtk_icon_view_set_pixbuf_column

    protected static final void gtk_icon_view_set_pixbuf_column(Handle view,
                                                                int column)

### gtk_icon_view_get_pixbuf_column

    protected static final int gtk_icon_view_get_pixbuf_column(Handle view)

### gtk_icon_view_set_orientation

    protected static final void gtk_icon_view_set_orientation(Handle view,
                                                              int orientation)

### gtk_icon_view_get_orientation

    protected static final int gtk_icon_view_get_orientation(Handle view)

### gtk_icon_view_set_columns

    protected static final void gtk_icon_view_set_columns(Handle view,
                                                          int columns)

### gtk_icon_view_get_columns

    protected static final int gtk_icon_view_get_columns(Handle view)

### gtk_icon_view_set_item_width

    protected static final void gtk_icon_view_set_item_width(Handle view,
                                                             int width)

### gtk_icon_view_get_item_width

    protected static final int gtk_icon_view_get_item_width(Handle view)

### gtk_icon_view_set_spacing

    protected static final void gtk_icon_view_set_spacing(Handle view,
                                                          int spacing)

### gtk_icon_view_get_spacing

    protected static final int gtk_icon_view_get_spacing(Handle view)

### gtk_icon_view_set_row_spacing

    protected static final void gtk_icon_view_set_row_spacing(Handle view,
                                                              int spacing)

### gtk_icon_view_get_row_spacing

    protected static final int gtk_icon_view_get_row_spacing(Handle view)

### gtk_icon_view_set_column_spacing

    protected static final void gtk_icon_view_set_column_spacing(Handle view,
                                                                 int spacing)

### gtk_icon_view_get_column_spacing

    protected static final int gtk_icon_view_get_column_spacing(Handle view)

### gtk_icon_view_set_margin

    protected static final void gtk_icon_view_set_margin(Handle view,
                                                         int margin)

### gtk_icon_view_get_margin

    protected static final int gtk_icon_view_get_margin(Handle view)

### gtk_icon_view_get_path_at_pos

    protected static final Handle gtk_icon_view_get_path_at_pos(Handle view,
                                                                int x,
                                                                int y)

### gtk_icon_view_set_selection_mode

    protected static final void gtk_icon_view_set_selection_mode(Handle view,
                                                                 int mode)

### gtk_icon_view_get_selection_mode

    protected static final int gtk_icon_view_get_selection_mode(Handle view)

### gtk_icon_view_select_path

    protected static final void gtk_icon_view_select_path(Handle view,
                                                          Handle path)

### gtk_icon_view_unselect_path

    protected static final void gtk_icon_view_unselect_path(Handle view,
                                                            Handle path)

### gtk_icon_view_path_is_selected

    protected static final boolean gtk_icon_view_path_is_selected(Handle view,
                                                                  Handle path)

### gtk_icon_view_get_selected_items

    protected static final Handle[] gtk_icon_view_get_selected_items(Handle view)

### gtk_icon_view_select_all

    protected static final void gtk_icon_view_select_all(Handle view)

### gtk_icon_view_unselect_all

    protected static final void gtk_icon_view_unselect_all(Handle view)

### gtk_icon_view_item_activated

    protected static final void gtk_icon_view_item_activated(Handle view,
                                                             Handle path)